lostlabyrinth.com
http://www.lostlabyrinth.com/phpBB_1/

x64 Ubuntu and compatible version
http://www.lostlabyrinth.com/phpBB_1/viewtopic.php?f=7&t=37
Page 1 of 1

Author:  serialjoepsycho [ Tue May 04, 2010 2:29 am ]
Post subject:  x64 Ubuntu and compatible version

Before Installation

First things that is needed are the 32-bit layer libs and the right tool to hack the 32-bit .deb package.

First type in this code one line at a time in a terminal:

sudo apt-get update && sudo apt-get upgrade
sudo apt-get install ia32-libs
sudo apt-get install build-essential dpkg-dev fakeroot
wget http://frozenfox.freehostia.com/cappy/getlibs-all.deb
sudo dpkg -i getlibs-all.deb
getlibs -l libSDL_gfx.so.4

ok we are done with that. I assume the maintainers will keep their code up to date but if they don't then you will of course need to find another source for the Ia-32 libs.

Download Lost Labyrinth (.deb) to your Desktop.


Run this in the terminal (one line at a time):


cd ~/Desktop
mkdir lost-labyrinth
dpkg-deb --extract lostlabyrinth_3.5.3.deb lost-labyrinth
dpkg-deb --control lostlabyrinth_3.5.3.deb lost-labyrinth/DEBIAN
nano lost-labyrinth/DEBIAN/control

Ok now look in nano and find where is says:

Under Architecture: change i386 to amd64

Now save it by hitting (ctrl)+(o) {don't use the punctuation} and hit enter
and Exit (ctrl)+(x)

now get back in a terminal and get back to your desktop: cd ~/desktop or what ever. Again one line at a time type:

dpkg --build lost-labyrinth (ok now you have a deb package. woot!)

sudo dpkg -i lost-labyrinth.deb (to install it you type this last line in terminal or you can just double click the package)

There is the off chance you will end up with a broken package but if you are lucky enough to have Ubuntu (and likely Kubuntu, xubuntu, and lubuntu) it will tell you the package is broken and it will tell you how to remedy that. Over all basically you got to have a ia32 environment set up or what evre. Basically the first step and then you just need to just change one word from the original package.


This is a bit of a crappy tutorial but it works but if you are a linux noobie go slow and carefully watch what you are doing.

So heres what I would like to get done. Some one much smarter and wiser should write this out a little better. Keep an update on ia32-libs and how to set that up. Secondly if at all possible I would like to ask the developer to make a package with this tutorial or the updated tutorial. essentially it's the exact same package as the normal package that you build with the exception that one aspect is changed. the control file in the debian folder right beside Under Architecture: change i386 to amd64 . this can be done on a 32bit computer.

any who i hope this helps and great game.

Page 1 of 1 All times are UTC + 1 hour
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/